package cn.ibizlab.humanresource.core.humanresource.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.humanresource.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.humanresource.core.humanresource.domain.HREmpState;
/**
 * 关系型数据实体[HREmpState] 查询条件对象
 */
@Slf4j
@Data
public class HREmpStateSearchContext extends QueryWrapperContext<HREmpState> {

	private String n_hrempstatename_like;//[员工状态名称]
	public void setN_hrempstatename_like(String n_hrempstatename_like) {
        this.n_hrempstatename_like = n_hrempstatename_like;
        if(!ObjectUtils.isEmpty(this.n_hrempstatename_like)){
            this.getSearchCond().like("hrempstatename", n_hrempstatename_like);
        }
    }
	private String n_jobstate_eq;//[在岗状态]
	public void setN_jobstate_eq(String n_jobstate_eq) {
        this.n_jobstate_eq = n_jobstate_eq;
        if(!ObjectUtils.isEmpty(this.n_jobstate_eq)){
            this.getSearchCond().eq("jobstate", n_jobstate_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("hrempstatename", query)   
            );
		 }
	}
}



